=== modified file 'lib/lp/buildmaster/tests/test_buildbase.py'
--- lib/lp/buildmaster/tests/test_buildbase.py	2010-06-08 08:35:00 +0000
+++ lib/lp/buildmaster/tests/test_buildbase.py	2010-07-18 17:43:23 +0000
@@ -14,7 +14,6 @@
 
 from datetime import datetime
 import os
-import unittest
 from zope.security.proxy import removeSecurityProxy
 
 from canonical.config import config
@@ -182,7 +181,7 @@
         # The call to handleStatus will attempt to get the file from
         # the slave resulting in a URL error in this test case.
         self.build.handleStatus('OK', None, {
-                'filemap': { 'myfile.py': 'test_file_hash'},
+                'filemap': {'myfile.py': 'test_file_hash'},
                 })
 
         self.assertEqual(BuildStatus.FULLYBUILT, self.build.status)
@@ -192,7 +191,7 @@
         # A filemap that tries to write to files outside of
         # the upload directory will result in a failed upload.
         self.build.handleStatus('OK', None, {
-            'filemap': { '/tmp/myfile.py': 'test_file_hash'},
+            'filemap': {'/tmp/myfile.py': 'test_file_hash'},
             })
         self.assertEqual(BuildStatus.FAILEDTOUPLOAD, self.build.status)
         self.assertEqual(0, self.fake_getUploaderCommand.call_count)
@@ -201,7 +200,7 @@
         # A filemap that tries to write to files outside of
         # the upload directory will result in a failed upload.
         self.build.handleStatus('OK', None, {
-            'filemap': { '../myfile.py': 'test_file_hash'},
+            'filemap': {'../myfile.py': 'test_file_hash'},
             })
         self.assertEqual(BuildStatus.FAILEDTOUPLOAD, self.build.status)
         self.assertEqual(0, self.fake_getUploaderCommand.call_count)
@@ -211,7 +210,7 @@
         removeSecurityProxy(self.build).log = None
         self.assertEqual(None, self.build.log)
         self.build.handleStatus('OK', None, {
-                'filemap': { 'myfile.py': 'test_file_hash'},
+                'filemap': {'myfile.py': 'test_file_hash'},
                 })
         self.assertNotEqual(None, self.build.log)
 
@@ -220,10 +219,6 @@
         removeSecurityProxy(self.build).date_finished = None
         self.assertEqual(None, self.build.date_finished)
         self.build.handleStatus('OK', None, {
-                'filemap': { 'myfile.py': 'test_file_hash'},
+                'filemap': {'myfile.py': 'test_file_hash'},
                 })
         self.assertNotEqual(None, self.build.date_finished)
-
-
-def test_suite():
-    return unittest.TestLoader().loadTestsFromName(__name__)

=== modified file 'lib/lp/buildmaster/tests/test_builder.py'
--- lib/lp/buildmaster/tests/test_builder.py	2010-07-16 13:23:53 +0000
+++ lib/lp/buildmaster/tests/test_builder.py	2010-07-18 17:43:23 +0000
@@ -1,10 +1,8 @@
-# Copyright 2009 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2010 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Test Builder features."""
 
-import unittest
-
 from zope.component import getUtility
 from zope.security.proxy import removeSecurityProxy
 
@@ -341,6 +339,3 @@
 
         self.assertIsInstance(
             self.builder.current_build_behavior, BinaryPackageBuildBehavior)
-
-def test_suite():
-    return unittest.TestLoader().loadTestsFromName(__name__)

=== modified file 'lib/lp/buildmaster/tests/test_buildfarmjob.py'
--- lib/lp/buildmaster/tests/test_buildfarmjob.py	2010-06-17 09:06:02 +0000
+++ lib/lp/buildmaster/tests/test_buildfarmjob.py	2010-07-18 17:43:23 +0000
@@ -7,7 +7,6 @@
 
 from datetime import datetime, timedelta
 import pytz
-import unittest
 
 from storm.store import Store
 from zope.component import getUtility
@@ -302,7 +301,3 @@
         result = self.build_farm_job_set.getBuildsForBuilder(self.builder)
 
         self.assertEqual([build_1, build_2], list(result))
-
-
-def test_suite():
-    return unittest.TestLoader().loadTestsFromName(__name__)

=== modified file 'lib/lp/buildmaster/tests/test_buildfarmjobbehavior.py'
--- lib/lp/buildmaster/tests/test_buildfarmjobbehavior.py	2010-04-12 05:52:01 +0000
+++ lib/lp/buildmaster/tests/test_buildfarmjobbehavior.py	2010-07-18 17:43:23 +0000
@@ -3,8 +3,6 @@
 
 """Unit tests for BuildFarmJobBehaviorBase."""
 
-from unittest import TestLoader
-
 from zope.component import getUtility
 from zope.security.proxy import removeSecurityProxy
 
@@ -144,7 +142,3 @@
         self.assertNotEqual(
             buildfarmjob1.generateSlaveBuildCookie(),
             buildfarmjob2.generateSlaveBuildCookie())
-
-
-def test_suite():
-    return TestLoader().loadTestsFromName(__name__)

=== modified file 'lib/lp/buildmaster/tests/test_buildmaster_documentation.py'
--- lib/lp/buildmaster/tests/test_buildmaster_documentation.py	2010-03-05 13:52:32 +0000
+++ lib/lp/buildmaster/tests/test_buildmaster_documentation.py	2010-07-18 17:43:23 +0000
@@ -33,19 +33,19 @@
 def buildmasterTearDown(test):
     logout()
 
+
 special = {
     'builder.txt': LayeredDocFileSuite(
         '../doc/builder.txt',
         setUp=setUp, tearDown=tearDown,
-        layer=LaunchpadFunctionalLayer,
-        ),
+        layer=LaunchpadFunctionalLayer),
     'buildqueue.txt': LayeredDocFileSuite(
         '../doc/buildqueue.txt',
         setUp=setUp, tearDown=tearDown,
-        layer=LaunchpadFunctionalLayer,
-        ),
+        layer=LaunchpadFunctionalLayer),
     }
 
+
 def test_suite():
     """Load doctests in this directory.
 

=== modified file 'lib/lp/buildmaster/tests/test_buildqueue.py'
--- lib/lp/buildmaster/tests/test_buildqueue.py	2010-05-27 22:18:16 +0000
+++ lib/lp/buildmaster/tests/test_buildqueue.py	2010-07-18 17:43:23 +0000
@@ -6,7 +6,6 @@
 
 from datetime import datetime, timedelta
 from pytz import utc
-from unittest import TestLoader
 
 from zope import component
 from zope.component import getGlobalSiteManager, getUtility
@@ -37,6 +36,7 @@
 
 def find_job(test, name, processor='386'):
     """Find build and queue instance for the given source and processor."""
+
     def processor_matches(bq):
         if processor is None:
             return (bq.processor is None)
@@ -57,6 +57,7 @@
 
 def nth_builder(test, bq, n):
     """Find nth builder that can execute the given build."""
+
     def builder_key(job):
         """Access key for builders capable of running the given job."""
         return (getattr(job.processor, 'id', None), job.virtualized)
@@ -81,6 +82,7 @@
 
 def print_build_setup(builds):
     """Show the build set-up for a particular test."""
+
     def processor_name(bq):
         return ('None' if bq.processor is None else bq.processor.name)
 
@@ -328,6 +330,7 @@
 class SingleArchBuildsBase(TestBuildQueueBase):
     """Set up a test environment with builds that target a single
     processor."""
+
     def setUp(self):
         """Set up some native x86 builds for the test archive."""
         super(SingleArchBuildsBase, self).setUp()
@@ -400,13 +403,13 @@
             bq = build.buildqueue_record
             bq.lastscore = score
             bq.estimated_duration = timedelta(seconds=duration)
-        # print_build_setup(self.builds)
 
 
 class TestBuilderData(SingleArchBuildsBase):
     """Test the retrieval of builder related data. The latter is required
     for job dispatch time estimations irrespective of job processor
     architecture and virtualization setting."""
+
     def test_builder_data(self):
         # Make sure the builder numbers are correct. The builder data will
         # be the same for all of our builds.
@@ -525,6 +528,7 @@
 class TestMinTimeToNextBuilder(SingleArchBuildsBase):
     """Test estimated time-to-builder with builds targetting a single
     processor."""
+
     def test_min_time_to_next_builder(self):
         """When is the next builder capable of running the job at the head of
         the queue becoming available?"""
@@ -619,6 +623,7 @@
 
 class MultiArchBuildsBase(TestBuildQueueBase):
     """Set up a test environment with builds and multiple processors."""
+
     def setUp(self):
         """Set up some native x86 builds for the test archive."""
         super(MultiArchBuildsBase, self).setUp()
@@ -708,11 +713,11 @@
             bq = build.buildqueue_record
             bq.lastscore = score
             bq.estimated_duration = timedelta(seconds=duration)
-        # print_build_setup(self.builds)
 
 
 class TestMinTimeToNextBuilderMulti(MultiArchBuildsBase):
     """Test estimated time-to-builder with builds and multiple processors."""
+
     def disabled_test_min_time_to_next_builder(self):
         """When is the next builder capable of running the job at the head of
         the queue becoming available?"""
@@ -842,6 +847,7 @@
 class TestJobClasses(TestCaseWithFactory):
     """Tests covering build farm job type classes."""
     layer = LaunchpadZopelessLayer
+
     def setUp(self):
         """Set up a native x86 build for the test archive."""
         super(TestJobClasses, self).setUp()
@@ -893,6 +899,7 @@
 
     def test_OtherTypeClasses(self):
         """Other job type classes are picked up as well."""
+
         class FakeBranchBuild(BuildFarmJobDerived):
             pass
 
@@ -921,6 +928,7 @@
             site_manager.unregisterUtility(
                 FakeBranchBuild, IBuildFarmJob, 'BRANCHBUILD')
 
+
 class TestPlatformData(TestCaseWithFactory):
     """Tests covering the processor/virtualized properties."""
 
@@ -970,6 +978,7 @@
 class TestMultiArchJobDelayEstimation(MultiArchBuildsBase):
     """Test estimated job delays with various processors."""
     score_increment = 2
+
     def setUp(self):
         """Add 2 'build source package from recipe' builds to the mix.
 
@@ -1013,7 +1022,6 @@
         # Assign the same score to the '386' vim and apg build jobs.
         _apg_build, apg_job = find_job(self, 'apg', '386')
         apg_job.lastscore = 1024
-        # print_build_setup(self.builds)
 
     def disabled_test_job_delay_for_binary_builds(self):
         # One of four builders for the 'flex' build is immediately available.
@@ -1160,6 +1168,7 @@
 class TestJobDispatchTimeEstimation(MultiArchBuildsBase):
     """Test estimated job delays with various processors."""
     score_increment = 2
+
     def setUp(self):
         """Add more processor-independent jobs to the mix, make the '386' jobs
         virtual.
@@ -1344,7 +1353,3 @@
         assign_to_builder(self, 'xxr-daptup', 1, None)
         postgres_build, postgres_job = find_job(self, 'postgres', '386')
         check_estimate(self, postgres_job, 120)
-
-
-def test_suite():
-    return TestLoader().loadTestsFromName(__name__)

=== modified file 'lib/lp/buildmaster/tests/test_manager.py'
--- lib/lp/buildmaster/tests/test_manager.py	2010-05-27 22:18:16 +0000
+++ lib/lp/buildmaster/tests/test_manager.py	2010-07-18 17:43:23 +0000
@@ -1,4 +1,4 @@
-# Copyright 2009 Canonical Ltd.  This software is licensed under the
+# Copyright 2009-2010 Canonical Ltd.  This software is licensed under the
 # GNU Affero General Public License version 3 (see the file LICENSE).
 
 """Tests for the renovated slave scanner aka BuilddManager."""
@@ -228,12 +228,15 @@
 
         # Stop cyclic execution and record the end of the cycle.
         self.stopped = False
+
         def testNextCycle():
             self.stopped = True
+
         self.manager.nextCycle = testNextCycle
 
         # Return the testing Proxy version.
         self.test_proxy = TestingXMLRPCProxy()
+
         def testGetProxyForSlave(slave):
             return self.test_proxy
         self.manager._getProxyForSlave = testGetProxyForSlave
@@ -270,6 +273,7 @@
         # When `finishCycle` is called, and it is called after all build
         # slave interaction, active deferreds are consumed.
         events = self.manager.finishCycle()
+
         def check_events(results):
             # The cycle was stopped (and in the production the next cycle
             # would have being scheduled).
@@ -334,14 +338,17 @@
         # slave by calling self.reset_result(slave)().
 
         reset_result_calls = []
+
         class LoggingResetResult(BaseDispatchResult):
             """A DispatchResult that logs calls to itself.
 
             This *must* subclass BaseDispatchResult, otherwise finishCycle()
             won't treat it like a dispatch result.
             """
+
             def __init__(self, slave, info=None):
                 self.slave = slave
+
             def __call__(self):
                 reset_result_calls.append(self.slave)
 
@@ -499,6 +506,7 @@
         self.assertEqual(2, len(self.manager._deferreds))
 
         events = self.manager.finishCycle()
+
         def check_no_events(results):
             errors = [
                 r for s, r in results if isinstance(r, BaseDispatchResult)]
@@ -520,6 +528,7 @@
             self.test_proxy.calls)
 
         events = self.manager.finishCycle()
+
         def check_events(results):
             [error] = [r for s, r in results if r is not None]
             self.assertEqual(
@@ -866,7 +875,3 @@
         # Ensure `buildd-manager.tac` starts and stops correctly.
         BuilddManagerTestSetup().setUp()
         BuilddManagerTestSetup().tearDown()
-
-
-def test_suite():
-    return unittest.TestLoader().loadTestsFromName(__name__)

=== modified file 'lib/lp/buildmaster/tests/test_packagebuild.py'
--- lib/lp/buildmaster/tests/test_packagebuild.py	2010-06-15 11:10:02 +0000
+++ lib/lp/buildmaster/tests/test_packagebuild.py	2010-07-18 17:43:23 +0000
@@ -5,7 +5,6 @@
 
 __metaclass__ = type
 
-import unittest
 import hashlib
 
 from storm.store import Store
@@ -169,7 +168,6 @@
             Unauthorized, setattr, self.package_build,
             'dependencies', u'my deps')
 
-
     def test_admin_package_build(self):
         # Users with edit access can update attributes.
         login('admin@canonical.com')
@@ -217,7 +215,3 @@
             self.package_builds[:1],
             self.package_build_set.getBuildsForArchive(
                 self.archive, pocket=PackagePublishingPocket.UPDATES))
-
-
-def test_suite():
-    return unittest.TestLoader().loadTestsFromName(__name__)

